Package uk.ac.starlink.cdf

## Interface CdfTableProfile

-     public interface CdfTableProfile

  Encapsulates choices about how to do the conversion from a CDF to a StarTable.
  Since:
    24 Jun 2013
  Author:
    Mark Taylor
  See Also:
    `CdfTableBuilder`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBlankValueAttribute​(java.lang.String[] attNames)` | Returns the name of the CDF Variable Attribute whose value is used to specify magic blank values for the variable data.
    `java.lang.String` | `getDescriptionAttribute​(java.lang.String[] attNames)` | Returns the name of the CDF Variable Attribute whose value is used to supply the column description metadata for the converted StarTable.
    `java.lang.String` | `getUnitAttribute​(java.lang.String[] attNames)` | Returns the name of the CDF Variable Attribute whose value is used to supply the column units metadata for the converted StarTable.
    `boolean` | `invariantVariablesToParameters()` | Determines whether CDF variables with fixed (non-record-varying) values are turned into columns or parameters in the StarTable.

- - ### Method Detail

    - #### invariantVariablesToParameters

          boolean invariantVariablesToParameters()

      Determines whether CDF variables with fixed (non-record-varying) values are turned into columns or parameters in the StarTable.
      Returns:
        if true, non-record-varying variables will be table parameters, if false they will be table columns with the same value in each row

    - #### getDescriptionAttribute

          java.lang.String getDescriptionAttribute​(java.lang.String[] attNames)

      Returns the name of the CDF Variable Attribute whose value is used to supply the column description metadata for the converted StarTable.
      Parameters:
        `attNames` - names of all the variable attributes present in the CDF
      Returns:
        attribute name for description; if null or not present, column has no description
      See Also:
        `ValueInfo.getDescription()`

    - #### getUnitAttribute

          java.lang.String getUnitAttribute​(java.lang.String[] attNames)

      Returns the name of the CDF Variable Attribute whose value is used to supply the column units metadata for the converted StarTable.
      Parameters:
        `attNames` - names of all the variable attributes present in the CDF
      Returns:
        attribute name for unit string; if null or not present, column has no units
      See Also:
        `ValueInfo.getUnitString()`

    - #### getBlankValueAttribute

          java.lang.String getBlankValueAttribute​(java.lang.String[] attNames)

      Returns the name of the CDF Variable Attribute whose value is used to specify magic blank values for the variable data. This is typically "FILLVAL".
      Parameters:
        `attNames` - names of all the variable attributes present in the CDF
      Returns:
        attribute name for blank avlue; if null or not present, column has no magic blank value